Bullet Collision Detection & Physics Library: GIM_TRIANGLE_CONTACT_DATA Struct Reference

Bullet Collision Detection & Physics Library

Public Member Functions | Public Attributes | List of all members
GIM_TRIANGLE_CONTACT_DATA Struct Reference

Structure for collision. More...

`#include <gim_tri_collision.h>`

Collaboration diagram for GIM_TRIANGLE_CONTACT_DATA:
[legend]

## Public Member Functions
void | copy_from (const GIM_TRIANGLE_CONTACT_DATA &other)
| GIM_TRIANGLE_CONTACT_DATA ()
| GIM_TRIANGLE_CONTACT_DATA (const GIM_TRIANGLE_CONTACT_DATA &other)
template<typename DISTANCE_FUNC, typename CLASS_PLANE>
void | mergepoints_generic (const CLASS_PLANE &plane, GREAL margin, const btVector3 *points, GUINT point_count, DISTANCE_FUNC distance_func)
| classify points that are closer
void | merge_points (const btVector4 &plane, GREAL margin, const btVector3 *points, GUINT point_count)
| classify points that are closer

## Public Attributes
GREAL | m_penetration_depth
GUINT | m_point_count
btVector4 | m_separating_normal
btVector3 | m_points [MAX_TRI_CLIPPING]

## Detailed Description

Structure for collision.

Definition at line 44 of file gim_tri_collision.h.

## Constructor & Destructor Documentation

## ◆ GIM_TRIANGLE_CONTACT_DATA() [1/2]

GIM_TRIANGLE_CONTACT_DATA::GIM_TRIANGLE_CONTACT_DATA | ( |  | ) |
| inline

Definition at line 63 of file gim_tri_collision.h.

## ◆ GIM_TRIANGLE_CONTACT_DATA() [2/2]

GIM_TRIANGLE_CONTACT_DATA::GIM_TRIANGLE_CONTACT_DATA | ( | const GIM_TRIANGLE_CONTACT_DATA & | other | ) |
| inline

Definition at line 67 of file gim_tri_collision.h.

## Member Function Documentation

## ◆ copy_from()

void GIM_TRIANGLE_CONTACT_DATA::copy_from | ( | const GIM_TRIANGLE_CONTACT_DATA & | other | ) |
| inline

Definition at line 51 of file gim_tri_collision.h.

## ◆ merge_points()

void GIM_TRIANGLE_CONTACT_DATA::merge_points | ( | const btVector4 & | plane,
|  | GREAL | margin,
|  | const btVector3 * | points,
|  | GUINT | point_count )
| inline

classify points that are closer

Definition at line 111 of file gim_tri_collision.h.

## ◆ mergepoints_generic()

template<typename DISTANCE_FUNC, typename CLASS_PLANE>

void GIM_TRIANGLE_CONTACT_DATA::mergepoints_generic | ( | const CLASS_PLANE & | plane,
|  | GREAL | margin,
|  | const btVector3 * | points,
|  | GUINT | point_count,
|  | DISTANCE_FUNC | distance_func )
| inline

classify points that are closer

Definition at line 74 of file gim_tri_collision.h.

## Member Data Documentation

## ◆ m_penetration_depth

GREAL GIM_TRIANGLE_CONTACT_DATA::m_penetration_depth

Definition at line 46 of file gim_tri_collision.h.

## ◆ m_point_count

GUINT GIM_TRIANGLE_CONTACT_DATA::m_point_count

Definition at line 47 of file gim_tri_collision.h.

## ◆ m_points

btVector3 GIM_TRIANGLE_CONTACT_DATA::m_points[MAX_TRI_CLIPPING]

Definition at line 49 of file gim_tri_collision.h.

## ◆ m_separating_normal

btVector4 GIM_TRIANGLE_CONTACT_DATA::m_separating_normal

Definition at line 48 of file gim_tri_collision.h.

The documentation for this struct was generated from the following file:

- gim_tri_collision.h